> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get complete order details from OncoEMR

> Fetches complete order details including options and timing information.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml get /api/v2/integrations/oncoemr/{slug}/orders
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/integrations/oncoemr/{slug}/orders:
    get:
      tags:
        - Integration - OncoEMR
      summary: Get complete order details from OncoEMR
      description: Fetches complete order details including options and timing information.
      parameters:
        - schema:
            type: string
          in: query
          name: orderId
          required: true
          description: The OncoEMR order ID (e.g., OH_xxx).
        - schema:
            type: string
          in: query
          name: patientId
          required: true
          description: The OncoEMR patient ID (e.g., PD_xxx).
        - schema:
            type: string
          in: query
          name: orderDate
          required: true
          description: The order date in YYYY-MM-DD format.
        - schema:
            type: string
          in: path
          name: slug
          required: true
          description: The slug of the OncoEMR connection.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  approvalStatus:
                    type: string
                    nullable: true
                  category:
                    type: string
                    nullable: true
                  intent:
                    type: string
                    nullable: true
                  isBillable:
                    type: boolean
                    nullable: true
                  cptCode:
                    type: string
                    nullable: true
                  cptQuantity:
                    type: number
                    nullable: true
                  deliveryCptCode:
                    type: string
                    nullable: true
                  deliveryCptQuantity:
                    type: number
                    nullable: true
                  loincCode:
                    type: string
                    nullable: true
                  schedulerResource:
                    type: string
                    nullable: true
                  instruction:
                    type: string
                    nullable: true
                  statusText:
                    type: string
                    nullable: true
                  value:
                    type: string
                    nullable: true
                  specimenType:
                    type: string
                    nullable: true
                  option:
                    type: object
                    properties:
                      statusTextOptions:
                        type: array
                        items:
                          type: string
                        nullable: true
                      testLocationOptions:
                        type: array
                        items:
                          type: string
                        nullable: true
                      defaultTestLocation:
                        type: string
                        nullable: true
                      defaultActivityLocation:
                        type: string
                        nullable: true
                      priorityTextOptions:
                        type: array
                        items:
                          type: string
                        nullable: true
                      defaultPriorityText:
                        type: string
                        nullable: true
                      activityLocationOptions:
                        type: array
                        items:
                          type: string
                        nullable: true
                      contrastOptions:
                        type: array
                        items:
                          type: string
                        nullable: true
                      compareWithPriorOptions:
                        type: array
                        items:
                          type: string
                        nullable: true
                      showProviderContactDetails:
                        type: boolean
                        nullable: true
                      showReason:
                        type: boolean
                        nullable: true
                      showOnVisitList:
                        type: boolean
                        nullable: true
                      frequency:
                        type: string
                        nullable: true
                      defaultFrequency:
                        type: string
                        nullable: true
                      defaultReason:
                        type: string
                        nullable: true
                      defaultLoinc:
                        type: string
                        nullable: true
                      loincDescription:
                        type: string
                        nullable: true
                      defaultCpt:
                        type: string
                        nullable: true
                      imageLocationOptions:
                        type: array
                        items:
                          type: string
                        nullable: true
                    required:
                      - statusTextOptions
                      - testLocationOptions
                      - defaultTestLocation
                      - defaultActivityLocation
                      - priorityTextOptions
                      - defaultPriorityText
                      - activityLocationOptions
                      - contrastOptions
                      - compareWithPriorOptions
                      - showProviderContactDetails
                      - showReason
                      - showOnVisitList
                      - frequency
                      - defaultFrequency
                      - defaultReason
                      - defaultLoinc
                      - loincDescription
                      - defaultCpt
                      - imageLocationOptions
                    additionalProperties: false
                    nullable: true
                  additionalInformation:
                    type: string
                    nullable: true
                  changeReason:
                    type: string
                    nullable: true
                  providerContactDetails:
                    type: array
                    items: {}
                  testLocation:
                    type: string
                    nullable: true
                  id:
                    type: string
                  componentName:
                    type: string
                    nullable: true
                  componentType:
                    type: string
                    nullable: true
                  oeResourceProvenance:
                    type: object
                    properties:
                      identifier:
                        type: string
                      author:
                        type: object
                        properties:
                          resource:
                            type: string
                          identifier:
                            type: string
                        required:
                          - resource
                          - identifier
                        additionalProperties: false
                      occurred:
                        type: string
                    required:
                      - identifier
                      - author
                      - occurred
                    additionalProperties: false
                    nullable: true
                  group:
                    type: string
                    nullable: true
                  subject:
                    type: string
                    nullable: true
                  recorder:
                    type: string
                    nullable: true
                  authoredOn:
                    type: string
                    nullable: true
                  approvalRecorder:
                    type: string
                    nullable: true
                  approvalRecordedOn:
                    type: string
                    nullable: true
                  approver:
                    type: string
                    nullable: true
                  approvedOn:
                    type: string
                    nullable: true
                  deleter:
                    type: string
                    nullable: true
                  deletedOn:
                    type: string
                    nullable: true
                  location:
                    type: string
                    nullable: true
                  requester:
                    type: string
                    nullable: true
                  note:
                    type: string
                    nullable: true
                  encounter:
                    type: string
                    nullable: true
                  priority:
                    type: string
                    nullable: true
                  administrationStatus:
                    type: string
                    nullable: true
                  orchestration:
                    type: string
                    nullable: true
                  protocolComponent:
                    type: string
                    nullable: true
                  reasonCode:
                    type: object
                    properties:
                      icd9Codes:
                        type: array
                        items:
                          type: string
                      icd10Codes:
                        type: array
                        items:
                          type: string
                    required:
                      - icd9Codes
                      - icd10Codes
                    additionalProperties: false
                    nullable: true
                  sequence:
                    type: number
                    nullable: true
                  occurrenceDateTime:
                    type: string
                    nullable: true
                  status:
                    type: string
                    nullable: true
                  requiresAuth:
                    type: boolean
                    nullable: true
                  orderStatusUpdatedBy:
                    type: string
                    nullable: true
                  orderStatusUpdatedOn:
                    type: string
                    nullable: true
                  orderDate:
                    type: string
                    nullable: true
                  testIdentifier:
                    type: string
                    nullable: true
                  requisitionNumber:
                    type: string
                    nullable: true
                  document:
                    type: string
                    nullable: true
                  occurrenceTiming:
                    type: object
                    properties:
                      repeatFrequency:
                        type: string
                        nullable: true
                      repeatPeriod:
                        type: string
                        nullable: true
                      repeatPeriodUnit:
                        type: string
                        nullable: true
                      plannedDurationValue:
                        type: number
                        nullable: true
                      plannedDurationUnit:
                        type: string
                        nullable: true
                      event:
                        type: string
                        nullable: true
                      frequencyText:
                        type: string
                        nullable: true
                      durationValue:
                        type: number
                        nullable: true
                    required:
                      - repeatFrequency
                      - repeatPeriod
                      - repeatPeriodUnit
                      - plannedDurationValue
                      - plannedDurationUnit
                      - event
                      - frequencyText
                      - durationValue
                    additionalProperties: false
                    nullable: true
                  compareWithPriorAnswer:
                    type: string
                    nullable: true
                  compareWithPriorFacility:
                    type: string
                    nullable: true
                  compareWithPriorDate:
                    type: string
                    nullable: true
                  ivContrast:
                    type: string
                    nullable: true
                  oralContrast:
                    type: string
                    nullable: true
                  bodySite:
                    type: array
                    items:
                      type: string
                  priorityText:
                    type: string
                    nullable: true
                  reasonText:
                    type: string
                    nullable: true
                  orderStatus:
                    type: string
                    nullable: true
                  associatedResources:
                    nullable: true
                  isCancellable:
                    type: boolean
                    nullable: true
                  hasDetails:
                    type: boolean
                    nullable: true
                  orderDetailsHistoryRowId:
                    type: string
                    nullable: true
                  superseder:
                    type: string
                    nullable: true
                  supersededOn:
                    type: string
                    nullable: true
                  plannedDuration:
                    type: string
                    nullable: true
                required:
                  - approvalStatus
                  - category
                  - intent
                  - isBillable
                  - cptCode
                  - cptQuantity
                  - deliveryCptCode
                  - deliveryCptQuantity
                  - loincCode
                  - schedulerResource
                  - instruction
                  - statusText
                  - value
                  - specimenType
                  - option
                  - additionalInformation
                  - changeReason
                  - providerContactDetails
                  - testLocation
                  - id
                  - componentName
                  - componentType
                  - oeResourceProvenance
                  - group
                  - subject
                  - recorder
                  - authoredOn
                  - approvalRecorder
                  - approvalRecordedOn
                  - approver
                  - approvedOn
                  - deleter
                  - deletedOn
                  - location
                  - requester
                  - note
                  - encounter
                  - priority
                  - administrationStatus
                  - orchestration
                  - protocolComponent
                  - reasonCode
                  - sequence
                  - occurrenceDateTime
                  - status
                  - requiresAuth
                  - orderStatusUpdatedBy
                  - orderStatusUpdatedOn
                  - orderDate
                  - testIdentifier
                  - requisitionNumber
                  - document
                  - occurrenceTiming
                  - compareWithPriorAnswer
                  - compareWithPriorFacility
                  - compareWithPriorDate
                  - ivContrast
                  - oralContrast
                  - bodySite
                  - priorityText
                  - reasonText
                  - orderStatus
                  - isCancellable
                  - hasDetails
                  - orderDetailsHistoryRowId
                  - superseder
                  - supersededOn
                  - plannedDuration
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Authentication failed
                required:
                  - error
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Internal server error
                required:
                  - error
                additionalProperties: false

````